<template>
    <div>
        <o-field>
            <o-datepicker v-model="date" :date-formatter="dateToStrGB" icon="calendar" trap-focus range inline>
                <template #header> </template>
            </o-datepicker>
        </o-field>
    </div>
</template>

<script>
export default {
    name: 'DateRangePicker',

    data() {
        return {
            date: null,
             months : [
    { name: "January", value: 0 },
    { name: "February", value: 1 },
    { name: "March", value: 2 },
    { name: "April", value: 3 },
    { name: "May", value: 4 },
    { name: "June", value: 5 },
    { name: "July", value: 6 },
    { name: "August", value: 7 },
    { name: "September", value: 8 },
    { name: "October", value: 9 },
    { name: "November", value: 10 },
    { name: "December", value: 11 },
];
        }
    },

    methods: {
        dateToStrGB(date) {
            console.log(date)
            if (date?.length) return `${date[0].toLocaleDateString('en-GB')} - ${date[1].toLocaleDateString('en-GB')}`
            else return ''
            // if (this.isSelecting) return this.startDate.toLocaleDateString('en-GB')
            //     if (Array.isArray(date) && date.length === 2)
            //       return `${date[0].toLocaleDateString('en-GB')} - ${date[1].toLocaleDateString('en-GB')}`
            //   } else return (date && date.toLocaleDateString('en-GB')).substring(3) || ''
        },
    },
}
</script>

<style lang="scss" module>
@import '@/assets/styles/components';
.month {
    color: red !important;
    &::before {
        content: ' ' !important;
    }
    &::after {
        content: ' ' !important;
    }
}
</style>
